aboutsummaryrefslogtreecommitdiffstats
path: root/kaarvok
diff options
context:
space:
mode:
Diffstat (limited to 'kaarvok')
-rwxr-xr-xkaarvok26
1 files changed, 26 insertions, 0 deletions
diff --git a/kaarvok b/kaarvok
new file mode 100755
index 0000000..ccbfbb8
--- /dev/null
+++ b/kaarvok
@@ -0,0 +1,26 @@
+#!/bin/sh
+## kaarvok --- Generate directory structures from templates
+# Copyright (C) 2013 Tom Willemse <tom at ryuslash dot org>
+
+# This file is part of kaarvok.
+
+# kaarvok is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# kaarvok is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with kaarvok. If not, see <http://www.gnu.org/licenses/>.
+
+if [ "${#@}" -lt 2 ]; then
+ echo "Usage: $0 <template name> <destination>"
+ exit 1
+fi
+
+/usr/bin/emacs -Q -batch -l kaarvok.el -eval \
+ "(kaarvok-create-project-from-template \"$1\" \"$2\")"